Source

riak / start-restart.sh

Diff from to

File start-restart.sh

 #!/usr/bin/env bash
 # start-restart <configfile>
 # assuming we've run a node from here before, start back up
+if [ $# -lt 1 ]; then
+    echo Usage: 1>&2
+    echo "    `basename $0` <configfile>" 1>&2
+    exit 1
+fi
 . riak-env.sh
 echo $ERL_MAX_ETS_TABLES
 NODENAME=$(erl -noshell -pa ebin -eval "error_logger:tty(false), riak_app:read_config(\"$1\"), io:format(\"~s~n\",[riak:get_app_env(riak_nodename)])" -run init stop)